# Generated by Django 2.2.7 on 2019-12-04 14:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('establishment', '0067_auto_20191122_1244'),
        ('product', '0019_auto_20191204_1420'),
        ('location', '0030_auto_20191120_1010'),
    ]

    operations = [
        migrations.CreateModel(
            name='WineOriginAddress',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='wine_origins', to='product.Product', verbose_name='product')),
                ('wine_region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='location.WineRegion', verbose_name='wine region')),
                ('wine_sub_region', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='location.WineSubRegion', verbose_name='wine sub region')),
            ],
            options={
                'verbose_name': 'wine origin address',
                'verbose_name_plural': 'wine origin addresses',
            },
        ),
        migrations.CreateModel(
            name='EstablishmentWineOriginAddress',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('establishment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='wine_origins', to='establishment.Establishment', verbose_name='product')),
                ('wine_region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='location.WineRegion', verbose_name='wine region')),
                ('wine_sub_region', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='location.WineSubRegion', verbose_name='wine sub region')),
            ],
            options={
                'verbose_name': 'establishment wine origin address',
                'verbose_name_plural': 'establishment wine origin addresses',
            },
        ),
    ]
